import "package:flutter/material.dart";

Future fullPageDialog({
  required BuildContext context,
  required Widget Function(BuildContext) builder,
}) {
  return showDialog(
    context: context,
    builder: (BuildContext context) => AlertDialog(
      contentPadding: const EdgeInsets.all(3),
      content: SizedBox(
        width: MediaQuery.of(context).size.width,
        height: MediaQuery.of(context).size.height,
        child: builder(context),
      ),
    ),
  );
}
