import 'package:flutter/material.dart';
import 'package:verttice_ui/verttice_ui.dart';

class WebVideoApp extends StatefulWidget {
  const WebVideoApp({
    required this.videoUrl,
    required this.context,
    required this.readOnly,
  });

  final String videoUrl;
  final BuildContext context;
  final bool readOnly;

  @override
  _WebVideoAppState createState() => _WebVideoAppState();
}

class _WebVideoAppState extends State<WebVideoApp> {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: 300,
      child: VideoViewerFullPage(
        showAppBar: false,
        url: widget.videoUrl,
      ),
    );
  }
}
